### Struct

# Qmi MessageWdsBindMuxDataPortInput

since: 1.18

#### Description [src]

    struct QmiMessageWdsBindMuxDataPortInput {
      /* No available fields */
    }

The `QmiMessageWdsBindMuxDataPortInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.18

#### Constructors

###### qmi_message_wds_bind_mux_data_port_input_new

Allocates a new `QmiMessageWdsBindMuxDataPortInput`.

since: 1.18

#### Instance methods

###### qmi_message_wds_bind_mux_data_port_input_get_client_type

Get the ‘Client Type’ field from `self`.

since: 1.18

###### qmi_message_wds_bind_mux_data_port_input_get_endpoint_info

Get the ‘Endpoint Info’ field from `self`.

since: 1.18

###### qmi_message_wds_bind_mux_data_port_input_get_mux_id

Get the ‘Mux ID’ field from `self`.

since: 1.18

###### qmi_message_wds_bind_mux_data_port_input_ref

Atomically increments the reference count of `self` by one.

since: 1.18

###### qmi_message_wds_bind_mux_data_port_input_set_client_type

Set the ‘Client Type’ field in the message.

since: 1.18

###### qmi_message_wds_bind_mux_data_port_input_set_endpoint_info

Set the ‘Endpoint Info’ field in the message.

since: 1.18

###### qmi_message_wds_bind_mux_data_port_input_set_mux_id

Set the ‘Mux ID’ field in the message.

since: 1.18

###### qmi_message_wds_bind_mux_data_port_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.18